cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

This community is for technical, feature, configuration and deployment questions.
For production deployment issues, please contact the TAC! We will not comment or assist with your TAC case in these forums.
Please see How to Ask the Community for Help for other best practices.

1010
Views
5
Helpful
4
Replies
rmueller@cisco.com
Cisco Employee

Restore Database Backup from ISE Version 1.4 into ISE Version 2.3

Hi all,

is it possible to restore a database backup which was taken from ISE 1.4 into ISE 2.3?

Could not find something like a compatiblity matrix between ISE versions regarding that.

Thanks in advance.

Roland

1 ACCEPTED SOLUTION

Accepted Solutions
Charlie Moreton
Cisco Employee

You can only restore to versions you can directly upgrade.

For ISE 2.3, you can directly upgrade from:

  • Cisco ISE, Release 2.0
  • Cisco ISE, Release 2.0.1
  • Cisco ISE, Release 2.1
  • Cisco ISE, Release 2.2

Cisco Identity Services Engine Upgrade Guide, Release 2.3 - Cisco ISE Upgrade Overview [Cisco Identity Services Engine]…

So to go from 1.4 to 2.3, you would first need to restore the backup to

  • Cisco ISE, Release 2.0
  • Cisco ISE, Release 2.0.1
  • Cisco ISE, Release 2.1
  • Cisco ISE, Release 2.2

and then create a new backup.  Upgrade directly to 2.2 is supported for 1.4.

Cisco Identity Services Engine Upgrade Guide, Release 2.2 - Cisco ISE Upgrade Overview [Cisco Identity Services Engine…

There is, as you point out, no note of this in either the Installation Guide, the Upgrade Guide, or the Admin Guide.

chypsmentions this here: Can I restore an ISE 1.2 backup file into ISE 2.2 directly?

View solution in original post

4 REPLIES 4
Charlie Moreton
Cisco Employee

You can only restore to versions you can directly upgrade.

For ISE 2.3, you can directly upgrade from:

  • Cisco ISE, Release 2.0
  • Cisco ISE, Release 2.0.1
  • Cisco ISE, Release 2.1
  • Cisco ISE, Release 2.2

Cisco Identity Services Engine Upgrade Guide, Release 2.3 - Cisco ISE Upgrade Overview [Cisco Identity Services Engine]…

So to go from 1.4 to 2.3, you would first need to restore the backup to

  • Cisco ISE, Release 2.0
  • Cisco ISE, Release 2.0.1
  • Cisco ISE, Release 2.1
  • Cisco ISE, Release 2.2

and then create a new backup.  Upgrade directly to 2.2 is supported for 1.4.

Cisco Identity Services Engine Upgrade Guide, Release 2.2 - Cisco ISE Upgrade Overview [Cisco Identity Services Engine…

There is, as you point out, no note of this in either the Installation Guide, the Upgrade Guide, or the Admin Guide.

chypsmentions this here: Can I restore an ISE 1.2 backup file into ISE 2.2 directly?

I have the secondary node installed with version 2.3 and try to restore a backup from the primary which is running 2.0, get the following error at the end:

.......

- Data upgrade step 77/99, AuthzUpgradeService(2.2.0.344)... Done in 0 seconds.

- Data upgrade step 78/99, RegisterPostureTypes(2.2.0.350)... Done in 32 seconds.

- Data upgrade step 79/99, DictionaryUpgradeRegistration(2.2.0.374)... Done in 15 seconds.

- Data upgrade step 80/99, UPSUpgradeHandler(2.2.0.403)... Done in 0 seconds.

- Data upgrade step 81/99, DictionaryUpgradeRegistration(2.2.0.410)... Done in 0 seconds.

- Data upgrade step 82/99, UPSUpgradeHandler(2.3.0.100)... Failed.

% Error: ISE Global data upgrade failed!

Any idea for what is wrong and how to fix it?

As Charles said above, unless the backup from the primary is taken when the primary in ISE 2.0/2.1/2.2/2.3, it can't be used to restore to an ISE of ISE 2.3.

If that is not the case, please start a new thread and provide the detail on your case. Or, engage Cisco TAC.

the primary is running 2.0 and so is the back file.  I do have a case opened but seems a slow process. thought this would be faster sometimes :-)

Create
Recognize Your Peers
Content for Community-Ad

ISE Webinars


Miss a previous ISE webinar?
Never miss one again!

CiscoISE on YouTube